/*
  $Header: /home/elrond/baikal/src/CVS/daq98/adcmodule.C,v 1.1 1999/02/05 18:34:59 steffen Exp $

  $Log: adcmodule.C,v $
  Revision 1.1  1999/02/05 18:34:59  steffen
  * Major cleanup:
    - threw out code for binary config records
    - cleaned up some module classes
  * Fixed bug which prevent 32 bit values to be read correctly from
    detector cnf
  * Added masking to s7201 module

*/

#include "adcmodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*  ADC module configuration data structure                */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

ADCModuleConfigRecord_t::ADCModuleConfigRecord_t(){
     Ped=0;
     ThreshUp=4095;
     ThreshLow=0;
}

ADCModuleConfigRecord_t::~ADCModuleConfigRecord_t(){
}
     

/*---------------------------------------------------------*/
/*                                                         */
/*  ADC module base class                                  */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

ADCModuleClass_t::ADCModuleClass_t(int numChannels,
				   int BytesPerInfoUnit, 
				   DaqProcessBase *parent)
     :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit,parent){
};
