/*
  $Header: /home/elrond/baikal/src/CVS/daq98/channelmodule.C,v 1.1 1999/02/05 18:35:00 steffen Exp $

  $Log: channelmodule.C,v $
  Revision 1.1  1999/02/05 18:35:00  steffen
  * Major cleanup:
    - threw out code for binary config records
    - cleaned up some module classes
  * Fixed bug which prevent 32 bit values to be read correctly from
    detector cnf
  * Added masking to s7201 module

*/

#include "channelmodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*  Channel oriented module configuration data structure   */
/*  Abstract base type                                     */
/*                                                         */
/*  Member function definition                             */
/*---------------------------------------------------------*/
ChannelModuleConfigRecord_t::ChannelModuleConfigRecord_t(){
     Address_Slot=0;
     Enabled=0;
     BinaryTag=0;
     BytesPerInfoUnit=0;
     isAsynch=0;
     CrateID=0;
     ModuleID=0;
     ModuleType=0;
}
     
ChannelModuleConfigRecord_t::~ChannelModuleConfigRecord_t(){
     if(CrateID!=0) delete[] CrateID;
     if(ModuleID!=0) delete[] ModuleID;
     if(ModuleType!=0) delete[] ModuleType;
}

/*---------------------------------------------------------*/
/*                                                         */
/*  Channel oriented module                                */
/*  Abstract base type                                     */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/
ChannelModuleBaseClass_t::~ChannelModuleBaseClass_t(){
     delete ChannelConfigVector;
}
