/* $Header: /home/elrond/baikal/src/CVS/daq98/cmdlineargs.h,v 1.3 1998/11/23 14:40:50 haase Exp $ */

#include <config.h>
#include <String.h>

class CmdLineArgs
{
	public:
		/** Constructor. Pass Number of args (argc) args (args) and the things you want to look for (argstolookfor). argstolookfor is not yet supported. For an example look at HVdaemon.C:HV::HV_CMD_ReadPropConfig */
		CmdLineArgs (int &argc, String &args,
				const String &argstolookfor):
			ArgC (argc), ArgLine (&args),
			ArgsToLookFor (argstolookfor)
		{
			i = 0;	// this allows gezieltes Weitermachen
				// after arg is found
		}

		~CmdLineArgs ()
		{
		}

		/** check if arg is set in the command line */
		bool IsSet (String arg);

		/** returns the value (if set) of argument arg */
		String Value (String arg);

	private:
		int ArgC;
		String *ArgLine;
		String ArgsToLookFor;
	
		int i;
};
