/*
$Header: /home/elrond/baikal/src/CVS/daq98/cnfreader.h,v 1.4 1998/11/23 14:40:51 haase Exp $
*/

#if ! defined __CNFREADER_H__ 
#define __CNFREADER_H__ 

#include <config.h>
#include "mapinclude.h"
#include "vectorinclude.h"
#include "pointerutil.h"
#include "base.h"
#include "fileinterpreter.h"
//#include "configsection.h"
#include "configsection2.h"

/** Configuration reader */
class ConfigReader:public Base
{
public:
     /** Constructor */
     ConfigReader();

     /** Destructor */
     ~ConfigReader();
     //  Adds a configuration section to the reader must be created
     //  with new, and must not be deleted!
     void AddSection(ClassWithTypeInfo_p cnfsect);
     int Read(istream &stream);
     String GetProcessType(){return "";}
private:
     FileInterpreter<ConfigReader> CnfInterpreter;
     int CMD_Section(String *param,int numparams);
     int CMD_ItemProp(String *Param,int numparams);
     int CMD_Unknown(String *Param,int numparams);
     int CMD_WrongType(String *Param,int numparams);
     int CMD_CleanUp();
     
     typedef map<String,ClassWithTypeInfo_p,StringCompare> CnfMapper;
     typedef CnfMapper::iterator CnfMapperIterator ;
     CnfMapper Sections;
     
     ClassWithTypeInfo_p CurrentSection;
};

#endif // __CNFREADER_H__ 
