/*
  $Header: /home/elrond/baikal/src/CVS/daq98/daq98dmadevent.C,v 1.3 1999/02/05 18:35:02 steffen Exp $
*/

#include "daq98dmadevent.h"

Daq98DMADEvent_t::Daq98DMADEvent_t(DaqProcessBase *parent)
     :F2000(0),
      Daq98RawDataAnalysis_t(parent),
      EventBuilder(parent),
      EventBuilderNotConfigured(true){
}

Daq98DMADEvent_t::~Daq98DMADEvent_t(){
}

int Daq98DMADEvent_t::__AnalyseData(RecordHeader_t RecordHeader, 
				    BinaryDataBuffer &Buf){
     if(RecordHeader.RecordID!= RID_DMADEVENT)
	  return 0;
     if(EventBuilderNotConfigured){
	  EventBuilder.SetUpDetectorConfig(*HWConfig);
	  EventBuilderNotConfigured=false;
     }

     LogMsg("Received a DMAD event",8,8);
     
     ReadRecord(EventHeader,Buf);
     EventBuilder.BuildGeneralEvent(Buf);
//     DMAD_ModuleConfigRecord_p DMAD_Event=
//	  EventBuilder.GetDecodedGeneralEvent()->DMAD_ModuleConfigRecord;

//     DMAD_ChannelConfigRecordVector_t 
//	  &DMAD_Channels=DMAD_Event->DMAD_ChannelConfigRecordVector;
     // read DMADs and set DMAD_Channels[?]->DMAD_CurrentState_On;

//     DMAD_ChannelConfigRecordVector_t::iterator start=DMAD_Channels.begin(),
//	  stop=DMAD_Channels.end();
     //    cerr << "DMAD Analyze" << endl;
//      while(start!=stop){
// 	  cerr << "OM-Channel : " << (*start)->ID << " "
// 	       << "I2CAddrs   : " << (*start)->MULT20_Address << " "
// 	       << "I2CChannel : " << (*start)->MULT20_Channel << " "
// 	       << "Init-Status: " << (*start)->DMAD_On << " "
// 	       << "Currnt-Status: " << (*start)->DMAD_CurrentState_On << " " << endl;
// 	  start++;
//      }
//      if(F2000) return F2000->AnalyseDMADEvent(EventHeader,DMAD_Event);
     return 0;
}
