/* 
   $Header: /home/elrond/baikal/src/CVS/daq98/discmodule.C,v 1.1 1999/02/05 18:35:03 steffen Exp $

   $Log: discmodule.C,v $
   Revision 1.1  1999/02/05 18:35:03  steffen
   * Major cleanup:
     - threw out code for binary config records
     - cleaned up some module classes
   * Fixed bug which prevent 32 bit values to be read correctly from
     detector cnf
   * Added masking to s7201 module

*/

#include "discmodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*  Discriminator module configuration data structure      */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

DISCModuleConfigRecord_t::DISCModuleConfigRecord_t(){
     Threshold=0;
}

DISCModuleConfigRecord_t::~DISCModuleConfigRecord_t(){
}




/*---------------------------------------------------------*/
/*                                                         */
/*  Discriminator module base class                        */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

DISCModuleClass_t::DISCModuleClass_t(int numChannels,
				     int BytesPerInfoUnit, 
				     DaqProcessBase *parent)
     :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit,parent){
}

