#include "dmadmodule.h"

int DMAD_Module_t::ReadToBuffer(BinaryDataBuffer &DataBuffer){
     DMAD_ModuleConfigRecord_p 
	  ModConf= TYPESAFE_DOWNCAST_RCP(DMAD_ModuleConfigRecord_t,
					 GetModuleConfig());
     DMAD_ChannelConfigRecordVector_t 
	  &DMAD_Channels=ModConf->DMAD_ChannelConfigRecordVector;
     // read DMADs and set DMAD_Channels[?]->DMAD_CurrentState_On;

     DMAD_ChannelConfigRecordVector_t::iterator start=DMAD_Channels.begin(),
	  stop=DMAD_Channels.end();
     cerr << "DMAD Readout" << endl;
//      while(start!=stop){
// 	  cerr << "OM-Channel : " << (*start)->ID << " "
// 	       << "I2CAddrs   : " << (*start)->MULT20_Address << " "
// 	       << "I2CChannel : " << (*start)->MULT20_Channel << " "
// 	       << "Init-Status: " << (*start)->DMAD_On << " "
// 	       << "Currnt-Status: " << (*start)->DMAD_CurrentState_On << " " << endl;
// 	  start++;
//      }
     // first there must be the tag for the module in the bytestream
     DataBuffer.WriteToBuffer(GetModuleConfig()->BinaryTag);
     // the the module data together with the original configuartion
     // al the data should be in the ModConf struct (see datafilecode.h)
//     ModConf->WriteToBuffer(DataBuffer);
}
     	
int DMAD_Module_t::InitModule(StringVector_t &errors){
     DMAD_ModuleConfigRecord_p 
	  ModConf=TYPESAFE_DOWNCAST_RCP(DMAD_ModuleConfigRecord_t,
					GetModuleConfig());
     DMAD_ChannelConfigRecordVector_t 
	  &DMAD_Channels=ModConf->DMAD_ChannelConfigRecordVector;
     
	  // set DMADs with DMAD_Channels[?]->DMAD_CurrentState_On;
     DMAD_ChannelConfigRecordVector_t::iterator start=DMAD_Channels.begin(),
	  stop=DMAD_Channels.end();
     cerr << "DMAD Initalizing" << endl;
      while(start!=stop){
 	  cerr << "OM-Channel : " << (*start)->ID << " "
 	       << "I2CAddrs   : " << (*start)->MULT20_Address << " "
 	       << "I2CChannel : " << (*start)->MULT20_Channel << " "
 	       << "Init-Status: " << (*start)->DMAD_On << " "
 	       << "Currnt-Status: " << (*start)->DMAD_CurrentState_On << " " << endl;
 	  start++;
      }
}
