#if ! defined __DUMMYRNDTDCMODULE_H__
#define __DUMMYRNDTDCMODULE_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummyrndtdcmodule.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#include <config.h>
#include "tdcmodule.h"

class RNDDummy_TDCModule_t:public TDCModuleClass_t
{
     ClassTypeInfo(TDCModuleClass_t);
     enum 
     { 
	  NUMBER_OF_CHANNELS = 16,
	  BYTES_PER_INFO_UNIT=4
     };
public:
     
     RNDDummy_TDCModule_t(DaqProcessBase *parent);/***/
     ~RNDDummy_TDCModule_t();
     
     /** returns true, if the module has data or false if the module
         does not have any data */
     virtual bool HasModuleData();

     /** this function reads the entire module and saves the RAW data
         at the current position into the buffers, which is given as
         the paramter */
     virtual int ReadToBuffer(BinaryDataBuffer &DataBuffer);

     /** this function initializes the TDC module */
     virtual int InitModule(StringVector_t &errors);

     /** Resets the module */
     virtual int ResetModule(StringVector_t &errors);
};


#endif //__DUMMYRNDTDCMODULE_H__
