#include "gpsmodule.h"

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/gpsmodule.C,v 1.1 1999/02/05 18:35:05 steffen Exp $

  $Log: gpsmodule.C,v $
  Revision 1.1  1999/02/05 18:35:05  steffen
  * Major cleanup:
    - threw out code for binary config records
    - cleaned up some module classes
  * Fixed bug which prevent 32 bit values to be read correctly from
    detector cnf
  * Added masking to s7201 module

*/

#include <time.h>
#include "gpsmodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*  GPS module configuration data structure                */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

GPSModuleConfigRecord_t::GPSModuleConfigRecord_t(){
}

GPSModuleConfigRecord_t::~GPSModuleConfigRecord_t(){
}

/*---------------------------------------------------------*/
/*                                                         */
/*  GPS module base class                                  */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

GPSModuleClass_t::GPSModuleClass_t(int numChannels,
				   int BytesPerInfoUnit, 
				   DaqProcessBase *parent)
     :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit,parent){
}

