#if ! defined __HISTOGRAM_H__
#define __HISTOGRAM_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/histogram.h,v 1.2 1998/11/23 14:43:05 haase Exp $
*/

#include "histogramdesc.h"

/** Virtual base class for different histogram classes */
class Histogram_t
{
public:
     Histogram_t(bool wc=false):WasCreated(wc){}
     virtual int Create(HistogramDescription_t &HistogramDescription){
	  WasCreated=true;
     };
     inline bool IsCreated(){
	  return WasCreated;
     }
     virtual void Fill(X_t X)=0;
     virtual void Fill(X_t X, Entries_t Weight)=0;
private:
     bool WasCreated;
};

#endif //__HISTOGRAM_H__
