/*
$Header: /home/elrond/baikal/src/CVS/daq98/histview.h,v 1.3 1998/11/23 14:43:11 haase Exp $
*/

#if !defined __HISTVIEW_H__
#define __HISTVIEW_H__

#include <config.h>
#include <qwidget.h>
#include <qmenubar.h>
#include "histo.h"

class HistogramView:public QWidget
{
     Q_OBJECT;
public:
     HistogramView(Histogram_type* hist,QWidget *parent=0,const char *name=0);
     ~HistogramView();
public slots:
     void HistogramChanged();
protected:
     void paintEvent(QPaintEvent *);
     void DrawHistogram(QPainter* P);
     void DrawAxis(QPainter* P);

     void GetMinMax();
private:
     Histogram_type *Histogram;
     QMenuBar *menu;
     float Xmin,Xmax,Ymin,Ymax;
     int NumBin;
     bool AutoScaleX,AutoScaleY;
     bool LogScaleY;
};

#endif //__HISTVIEW_H__
