#if ! defined __IREGMODULE_H__
#define __IREGMODULE_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/iregmodule.h,v 1.5 1999/02/05 18:35:07 steffen Exp $
*/

#include <config.h>
#include "channelmodule.h"

struct IREGModuleConfigRecord_t:public ChannelModuleConfigRecord_t
{
     ClassTypeInfo(ChannelModuleConfigRecord_t);
     IREGModuleConfigRecord_t(){

     }
     virtual ~IREGModuleConfigRecord_t(){
     }
};

MAKE_REFCOUNT_POINTER(IREGModuleConfigRecord_t, IREGModuleConfigRecord_p);

/** Base class for all IREG modules */
class IREGModuleClass_t: public ChannelModuleBaseClass_t
{
     /** Macro defined in pointerutil.h */
     ClassTypeInfo(ChannelModuleBaseClass_t);
public:
     /** Constructor.
	 @param numChannels Number of channels of this module.
	 @param BytesPerInfoUnit Number of bytes per info unit. */
     IREGModuleClass_t(int numChannels,int BytesPerInfoUnit, DaqProcessBase *parent) /***/
	  :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit, parent){}
};

MAKE_REFCOUNT_POINTER(IREGModuleClass_t, IREGModuleClass_p);

#endif // __IREGMODULE_H__
