#if ! defined __IREGMODULEEVAL_H__
#define __IREGMODULEEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/iregmoduleeval.h,v 1.5 1999/02/05 18:35:07 steffen Exp $
*/

#include <config.h>
#include "moduleevalbase.h"

class IREGModuleEvalClass_t: public ModuleEvalBaseClass_t
{
     ClassTypeInfo(ModuleEvalBaseClass_t);
public:
     inline IREGModuleEvalClass_t(int numChannels,int bytesPerInfoUnit, DaqProcessBase *Parent)
	  :ModuleEvalBaseClass_t(numChannels,bytesPerInfoUnit, Parent){}
     
     virtual void Configure(ChannelModuleConfigRecord_p &ModuleConfig,
			    HWConfig_t &HWConfig)=0;
     
     virtual int BuildEventPart(BinaryDataBuffer &RawDataBuffer,
				TempDecode_EventData_t *TempEventBuffer)=0;

};

#endif // __IREGMODULEEVAL_H__
