/*
  $Header: /home/elrond/baikal/src/CVS/daq98/mailer.C,v 1.3 1998/11/23 14:43:32 haase Exp $
*/

#include <stdio.h>
#include "mailer.h"
#include "base.h"
#include "error.h"

Mailer_t::Mailer_t()
{
}

Mailer_t::~Mailer_t()
{
}

void Mailer_t::AddRecipient(MailListEntry_t Entry)
{
     MailList.push_back(Entry);
}

int Mailer_t::SendMail(const String Msg, const String Subject)
{
     String addresses="\"";
     MailList_t::iterator i=MailList.begin();
     while(i!=MailList.end()){
	  addresses+=(*i).Address + " ";
	  i++;
     }
     addresses+="\"";
     FILE *MailPipe;
     String MailCommand=String("mail -s \"") + Subject + "\" " + addresses;
     MailPipe = popen ((const char*)MailCommand, "w");
     if (!MailPipe){
	  (*Base::Error)=SYS_ERROR;
	  (*Base::Error)="int Mailer_t::SendMail(..) in popen";
	  return -1;
     }
     if((*i).NickName.length()>1){
	  String tmp=String("Hi ") + (*i).NickName + String(",\n\n");
	  fputs ((const char *)tmp, MailPipe);
     }
     fputs ((const char *)Msg, MailPipe);
     fputs ("\nYour friendly DAQ computer\n", MailPipe);
     pclose (MailPipe);
     return 0;
}


