#if ! defined __MOZILLAREMOTE_H__
#define __MOZILLAREMOTE_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/mozilla_remote.h,v 1.3 1998/11/23 14:43:51 haase Exp $
*/


#include <config.h>
#include <stdio.h>
#include <stdlib.h>
#include <unistd.h>
#include "stringvector.h"
#include <strstream.h>

#include <X11/Xlib.h>
#include <X11/Xatom.h>
#include <X11/Xmu/WinUtil.h>	/* for XmuClientWindow() */

#define EXPECTED_MOZILLA_VERSION "4.03" /*"1.1";*/
#define MOZILLA_NAME           "netscape"
#define MOZILLA_VERSION_PROP   "_MOZILLA_VERSION"
#define MOZILLA_LOCK_PROP      "_MOZILLA_LOCK"
#define MOZILLA_COMMAND_PROP   "_MOZILLA_COMMAND"
#define MOZILLA_RESPONSE_PROP  "_MOZILLA_RESPONSE"

class MozillaRemote
{
public:
     MozillaRemote();
     int ExecCommand(int argc, char **argv);
     bool IsRunning();

protected:
     int InitAtoms(Display *dpy);
     Window FindWindow(Display *dpy);
     int CheckWindow(Display *dpy, Window window);
     int ObtainLock(Display *dpy, Window window);
     void FreeLock(Display *dpy, Window window);
     int Command(Display *dpy, Window window, const char *command,
				   Bool raise_p);
     int Commands(Display *dpy, Window window, char **commands);

protected:
     char *lock_data;
     Atom XA_MOZILLA_VERSION;
     Atom XA_MOZILLA_LOCK;
     Atom XA_MOZILLA_COMMAND;
     Atom XA_MOZILLA_RESPONSE;
};

#endif // __MOZILLAREMOTE_H__
