/*
  $Header: /home/elrond/baikal/src/CVS/daq98/mozillahelp.C,v 1.2 1998/11/23 14:43:52 haase Exp $
*/

#include "mozillahelp.h"
#include "stringutil.h"
#include "base.h"
#include "error.h"

MozillaHelp::MozillaHelp()
{
     Invoked=false;
}

void MozillaHelp::UseColorMap(bool val)
{
     ColorMap=val;
}

int MozillaHelp::DisplayFile(const String &file)
{
     String url=String("file:") + file;
     return DisplayPage(url);
}

int MozillaHelp::DisplayURL(const String &url)
{
     String new_url=String("http://") + url;
     return DisplayPage(new_url);
}

int MozillaHelp::DisplayPage(const String &address)
{
     String CmdStr=String("-remote openURL(") + address +String(")");
     if(Mozilla.IsRunning()){
	  char **argv;
	  StringSplitter Args(CmdStr,' ');
	  argv=new char *[Args.NumSplits()];
	  
	  for(int i=0;i<Args.NumSplits();i++){
	       argv[i]=(char *)(const char*)Args()[i];
	  }
	  
	  int r=Mozilla.ExecCommand(Args.NumSplits(),argv);
	  delete [] argv;
	  
	  return r;
	  
     }
     int r;
     CmdStr=String(MOZILLA_NAME) ;
     if(ColorMap)
	  CmdStr+=" -install";
     CmdStr+=String(" ") +address + String("&");
     if((r=system((const char*)CmdStr))==-1 || r==127){
	  (*Base::Error)=SYS_ERROR;
	  (*Base::Error)="MozillaHelp::DisplayPage(String &address)";
	  return -1;
     }
     Invoked=true;
     
     return 0;
}

	  

