/*
$Header: /home/elrond/baikal/src/CVS/daq98/netconv.h,v 1.3 1998/11/23 14:44:00 haase Exp $
*/

#if ! defined __NETCONV_H__
#define __NETCONV_H__

#include <config.h>
#include <netinet/in.h>
#include "globaltypes.h"

 

#define NETCONV_LONG(type)				\
inline void net2host(type &uli){uli=ntohl(uli);}	\
inline void host2net(type &uli){uli=htonl(uli);}	

#define NETCONV_SHORT(type)				\
inline void net2host(type &usi){usi=ntohs(usi);}	\
inline void host2net(type &usi){usi=htons(usi);}	


     
NETCONV_LONG(int);
NETCONV_LONG(unsigned int);
NETCONV_LONG(long int);
NETCONV_LONG(unsigned long int);

NETCONV_SHORT(short int);
NETCONV_SHORT(unsigned short int);


inline void net2host(GPSTime_t &Time){
     net2host(Time.year);
//     net2host(Time.month);
     net2host(Time.day);
     net2host(Time.hour);
     net2host(Time.min);
     net2host(Time.sec);
}

inline void host2net(GPSTime_t &Time){
     host2net(Time.year);
//     host2net(Time.month);
     host2net(Time.day);
     host2net(Time.hour);
     host2net(Time.min);
     host2net(Time.sec);
}


#endif // __NETCONV_H__
