/*
  $Header: /home/elrond/baikal/src/CVS/daq98/runstat.C,v 1.2 1998/11/23 14:44:23 haase Exp $
*/

#include "fstream.h"
#include "base.h"
#include "error.h"
#include "runstat.h"
#include "globalmacros.h"

String RunStat_t::Filename=FILENAME_RUNSTAT;

int RunStat_t::RunStartEntry(String &RunName, const char* StartTime)
{
     ofstream File;
     File.open(Filename,ios::app);
     if(!File){
	  (*Base::Error)=SYS_ERROR;
	  (*Base::Error)=String("int RunStat_t::RunStartEntry(..): open: ")+Filename;
	  return -1;
     }
     File << endl << RunName << "\t" << StartTime;
     return 0;
}

int RunStat_t::RunStopEntry(const char* StopTime)
{
     ofstream File;
     File.open(Filename,ios::app);
     if(!File){
	  (*Base::Error)=SYS_ERROR;
	  (*Base::Error)=String("int RunStat_t::RunStartEntry(..): open: ")+Filename;
	  return -1;
     }
     File << "\t" << StopTime;
     return 0;
}

