/*
  $Header: /home/elrond/baikal/src/CVS/daq98/scalermodule.C,v 1.3 1999/02/10 21:35:14 daq Exp $

  $Log: scalermodule.C,v $
  Revision 1.3  1999/02/10 21:35:14  daq
  fixed VME GPS bug

  Revision 1.2  1999/02/10 17:31:46  daq
   Version 1.310

  Revision 1.1  1999/02/05 18:35:08  steffen
  * Major cleanup:
    - threw out code for binary config records
    - cleaned up some module classes
  * Fixed bug which prevent 32 bit values to be read correctly from
    detector cnf
  * Added masking to s7201 module

*/

#include "scalermodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*      Scaler configuration data structure base type      */
/*      Member function definitions                        */
/*                                                         */
/*---------------------------------------------------------*/
SCALERModuleConfigRecord_t::SCALERModuleConfigRecord_t(){
     Mask=0;
     DeadTimeEnable=0;
     StepNumber=0;
     StepWidth=0;
}

SCALERModuleConfigRecord_t::~SCALERModuleConfigRecord_t(){
}

/*---------------------------------------------------------*/
/*                                                         */
/*  SCALER module base class                                  */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

SCALERModuleClass_t::SCALERModuleClass_t(int numChannels,
				   int BytesPerInfoUnit, 
				   DaqProcessBase *parent)
     :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit,parent){
};
