#if ! defined __SETTERGETTER_H__
#define __SETTERGETTER_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/settergetter.h,v 1.3 1998/11/23 14:44:28 haase Exp $
*/

#include <config.h>

#if defined Setter
# undef Setter
#endif

#if defined Setter_NODBG
# undef Setter_NODBG
#endif

#if defined Getter
# undef Getter
#endif

#if defined SetterGetter
# undef SetterGetter
#endif

#if defined SetterGetter_NODBG
# undef SetterGetter_NODBG
#endif

#if defined DEBUG_SETTER
#include <iostream.h>
#include "daqdebug.h"

#define Setter(type,name)				\
inline void Set ## name(const type set ## name){	\
     DEBUG_MESSAGE( << " Set: " #name "=" << set ## name << endl); \
     name=set ## name;					\
}

#else

#define Setter(type,name)				\
inline void Set ## name(const type set ## name){	\
     name=set ## name;					\
}

#endif

#define Setter_NODBG(type,name)				\
inline void Set ## name(const type set ## name){	\
     name=set ## name;					\
}

#define Getter(type,name)			\
inline const type Get ## name()const{ 		\
     return name;				\
}
     
#define SetterGetter(type,name) Setter(type,name) Getter(type,name)

#define SetterGetter_NODBG(type,name) Setter_NODBG(type,name) Getter(type,name)

#endif //__SETTERGETTER_H__
