/*
$Header: /home/elrond/baikal/src/CVS/daq98/simplestack.h,v 1.3 1998/11/23 14:44:31 haase Exp $
*/

#if ! defined __SIMPLESTACK_H__
#define __SIMPLESTACK_H__

#include <config.h>
#include "simplevector.h"
template<class Element_t>
class SimpleStack: protected SimpleVector_SelfInc<Element_t>
{
public:
     SimpleStack(){
//	  StackPointer=0;
     }       
     void push(Element_t e){
	  push_back(e);
//	  StackPointer++;
     }
     Element_t pop(){
	  Element_t e;
	  pop_back(e);
	  return e;
// 	  StackPointer--;
// 	  return GetElement(StackPointer);
     }
     Element_t &top(){
	  return GetElement(size()-1);
     }
     void swap(){
	  if(size()>1){
	       Element_t temp1=pop();
	       Element_t temp2=pop();
	       push(temp1);
	       push(temp2);
	  }
     }
private:
     size_t StackPointer;
};

#define MAKE_STACK(element_type,stack_type)\
typedef SimpleStack<element_type> stack_type

#endif //__SIMPLESTACK_H__
