/*
$Header: /home/elrond/baikal/src/CVS/daq98/treewtest.h,v 1.4 1999/02/03 03:42:22 steffen Exp $
*/

#include <config.h>
#include "process.h"
#include "daqdebug.h"
#include "mytree.h"
#include <String.h>
#include <stddef.h>
#include <stdio.h>
#include <sys/types.h>
#include <dirent.h>
#include <qapp.h>
#include "tree.h"
#include "qtreewidget.h"
//#include "detcnf.h"

class testwindow:public QWidget
{
     Q_OBJECT;
public:
     testwindow(ItemTree *t,char *tname,QWidget *parent=0,const char *name=0):QWidget(parent,name){
	  
	  tw=new QTreeWidget(t,tname,this);
	  prop=new QListBox(this);
	  SetGeometry();
	  connect(tw,SIGNAL(highlighted(int)),this,SLOT(showprop(int)));
     }
public slots:
     void showprop(int index){
	  ItemWithProperties *t=(ItemWithProperties *)tw->GetItem(index);
	  prop->clear();
	  for(int i=0;i<t->GetNoProperties();i++){
	       String p=t->GetPropertyNames()[i];
	       p+=": ";
	       p+=t->GetPropertyByNo(i);
	       prop->insertItem((const char *)p);
	  }
     }  
private:
     void SetGeometry(){
	  tw->setGeometry(2,2,width()/2-4,height()-2);
	  prop->setGeometry(width()/2+2,2,width()/2-2,height()-2);
    }  
private:
     QTreeWidget *tw;
     QListBox *prop;
};


