/*
$Header: /home/elrond/baikal/src/CVS/daq98/buttonbox.C,v 1.2 1998/11/23 14:40:22 haase Exp $
*/

#include <qpushbt.h> 
#include <qbttngrp.h>
#include <algo.h> // for max(...)
#include "buttonbox.h"

QButtonBox::QButtonBox(allign_type allign,QWidget* parent=0,const char *name=0)
     :QButtonGroup(parent,name),
      Allign(allign){
     NoButtons=0;  
}

QButtonBox::QButtonBox(allign_type allign,const char* title,QWidget* parent=0,const char* name=0)
     :QButtonGroup(title,parent,name),
      Allign(allign){
     NoButtons=0;  
}

void QButtonBox::insert(const char* text,const QObject *receiver,const char *member){
     QPushButton *newButton=new QPushButton(text,this);
     QButtonGroup::insert(newButton);
     connect(newButton,SIGNAL(clicked()),receiver,member);
     NoButtons++;
}

void QButtonBox::resizeEvent(QResizeEvent *){
}

void QButtonBox::SetGeometry(){
     int frame=4;
     int height=0;
     int width=0;
     QSize btnSize;
     if(horizontal==Allign){
// 	  for(int i=0;i<NoButtons;i++){
// 	       btnSize=find(i)->sizeHint();
// 	       height=max(height,btnSize.height());
// 	       width+=frame+btnSize.width();
// 	  }
	  width=0;
	  for(int i=0;i<NoButtons;i++){
	       QButton *pb=find(i);
	       btnSize=pb->sizeHint();
 	       height=max(height,btnSize.height());
	       pb->setGeometry(frame+width,frame,btnSize.width(),btnSize.height());
	       width+=frame+btnSize.width();
	  }
	  setFixedSize(width+2*frame,height+2*frame);
     }else{
	  for(int i=0;i<NoButtons;i++){
	       btnSize=find(i)->sizeHint();
	       height=max(height,btnSize.height()+frame);
	       width=max(width,btnSize.width());
	  }
	  setFixedSize(width+2*frame,NoButtons*height+2*frame);
	  for(int i=0;i<NoButtons;i++){
	       find(i)->setGeometry(frame,i*height+frame,width,height);
	  }
     }
}
