#if ! defined __C7164ADCMODULEVAL_H__
#define __C7164ADCMODULEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/c7164moduleeval.h,v 1.4 1999/02/03 03:42:12 steffen Exp $
*/

#include <config.h>
#include "adcmoduleeval.h"

class C7164_ADCModuleEvalClass_t:public ADCModuleEvalClass_t
{
     enum 
     { 
	  NUMBER_OF_CHANNELS =16,
	  BYTES_PER_INFO_UNIT=2
     };
     ClassTypeInfo(ADCModuleEvalClass_t);
public:
     inline C7164_ADCModuleEvalClass_t(DaqProcessBase *Parent)
	  :ADCModuleEvalClass_t(NUMBER_OF_CHANNELS,BYTES_PER_INFO_UNIT,Parent){}
protected:
     virtual const void* ReadFromBuffer(BinaryDataBuffer &DataBuffer){
	  static u_i16 Data;
	  DataBuffer.ReadFromBuffer(Data);
	  return (void*)&Data;
     }
     virtual inline int Channel(const void *adc_data){
	  return (((*(u_i16*)adc_data)  & 0xF000) >> 12);
     }
     virtual inline int Amplitude(const void *adc_data){
	  return ((*(u_i16*)adc_data) & 0x0FFF);
     }
};

#endif // __C7164ADCMODULEVAL_H__
