/*
  $Header: /home/elrond/baikal/src/CVS/daq98/daq98counterevent.C,v 1.7 1999/02/03 03:42:13 steffen Exp $
*/

#include "daq98counterevent.h"
Daq98CounterEvent_t::Daq98CounterEvent_t(DaqProcessBase *parent):
     F2000(0),Daq98RawDataAnalysis_t(parent),EventBuilder(parent){
     EventBuilderNotConfigured=true;
     EventDataBuffer=(void*)new char[1024*100];
}

Daq98CounterEvent_t::~Daq98CounterEvent_t()
{
     delete[] (char*)EventDataBuffer;
}

int Daq98CounterEvent_t::__AnalyseData(RecordHeader_t RecordHeader, 
				       BinaryDataBuffer &Buf){
     if(RecordHeader.RecordID!= RID_COUNTEREVENT)
	  return 0;
     if(EventBuilderNotConfigured){
	  EventBuilder.SetUpDetectorConfig(*HWConfig);
	  EventBuilderNotConfigured=false;
     }

     LogMsg("Received a counter event",8,8);
     
     ReadRecord(EventHeader,Buf);
     EventBuilder.BuildGeneralEvent(Buf);
     S7201CounterEvent_t CntEvnt(*(EventBuilder.
				   GetDecodedGeneralEvent()->
				   S7201CounterEvent));
     CntEvnt.NoOfReadouts=EventHeader.NoOfReadouts;
     if(F2000) return F2000->AnalyseCounterEvent(EventHeader,CntEvnt);
     return 0;
}
