/*
  $Header: /home/elrond/baikal/src/CVS/daq98/daq98hwconfigextract.C,v 1.4 1999/02/03 03:42:14 steffen Exp $
*/

#include "daq98hwconfigextract.h"

Daq98HWConfigExtract_t::Daq98HWConfigExtract_t(DaqProcessBase* parent):
     Daq98RawDataAnalysis_t(parent)
{
     DontNeedConfig=true;
     OutFile=0;
     OutStream=0;
}

Daq98HWConfigExtract_t::~Daq98HWConfigExtract_t()
{
     if(OutFile!=0) delete [] OutFile;
     OutFile=0;
     if(OutStream!=0 && OutStream!=&cout) delete OutStream;
     OutStream=0;
}

int Daq98HWConfigExtract_t::Init()
{     
     TEST_FAILURE(Daq98RawDataAnalysis_t::Init());
     if(OutFile==0){
	  OutStream=&cout;
     }
     else{
	  OutStream=new ofstream(OutFile);
	  if(!(*OutStream)){
	       (*Base::Error)=SYS_ERROR;
	       (*Base::Error)="int Daq98HWConfigExtract_t::Init()";
	       return -1;
	  }
     }
     return 0;
}

void Daq98HWConfigExtract_t::SetFile(const char *File)
{
     if(OutFile!=0) delete [] OutFile;
     OutFile=new char[strlen(File)+1];
     strcpy(OutFile,File);
}

