#if ! defined __DUMMYADCMODULEVAL_H__
#define __DUMMYADCMODULEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummyadcmoduleeval.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#include <config.h>
#include "adcmoduleeval.h"

class Dummy_ADCModuleEvalClass_t:public ADCModuleEvalClass_t
{
     enum 
     { 
	  NUMBER_OF_CHANNELS =16,
	  BYTES_PER_INFO_UNIT=4
     };
     ClassTypeInfo(ADCModuleEvalClass_t);
public:
     inline Dummy_ADCModuleEvalClass_t(DaqProcessBase *Parent)
	  :ADCModuleEvalClass_t(NUMBER_OF_CHANNELS,BYTES_PER_INFO_UNIT, Parent){}
protected:
     virtual const void* ReadFromBuffer(BinaryDataBuffer &DataBuffer){
	  static u_i32 Data;
	  DataBuffer.ReadFromBuffer(Data);
	  return (void*)&Data;
     }
     virtual inline int Channel(const void *adc_data){
	  return (((*(u_i32*)adc_data)  & 0xFFFF0000) >> 16);
     }
     virtual inline int Amplitude(const void *adc_data){
	  return ((*(u_i32*)adc_data) & 0xFFFF);
     }
};

#endif // __DUMMYADCMODULEVAL_H__
