#if ! defined __DUMMYCAMACGPSMODULE_H__
#define __DUMMYCAMACGPSMODULE_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummycamacgpsmodule.h,v 1.3 1998/11/23 14:42:24 haase Exp $
*/

#include <conf.h>
#include "gpsmodules.h"

class DummyCAMAC_GPSModuleClass_t: public GPSModuleClass_t
{
     ClassTypeInfo(GPSModuleClass_t);
     enum 
     { 
	  NUMBER_OF_CHANNELS =1,
	  BYTES_PER_INFO_UNIT=9
     };
public:
     DummyCAMAC_GPSModuleClass_t()
	  :GPSModuleClass_t(NUMBER_OF_CHANNELS,BYTES_PER_INFO_UNIT){}

     virtual ~DummyCAMAC_GPSModuleClass_t(){}

     virtual bool HasModuleData(){return true;}

     /** initialize the module */
     virtual int InitModule(StringVector_t &errors);

     /** Resets the module 
       @param errors Vector of errors that may occur during initialization.
       @return 0 on success. Negative number of errors occured during 
       initialization on failure.*/
     virtual int ResetModule(StringVector_t &errors);

     /** update the internal buffers of the module class by reading
         the module */
     virtual int ReadToBuffer(BinaryDataBuffer &DataBuffer);     
};

#endif // __DUMMYCAMACGPSMODULE_H__
