#if ! defined __DUMMYDISCMODULEEVAL_H__
#define __DUMMYDISCMODULEEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummydiscmoduleeval.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#include <config.h>
#include "discmoduleeval.h"

class Dummy_DISCModuleEvalClass_t:public DISCModuleEvalClass_t
{
     enum 
     { 
	  NUMBER_OF_CHANNELS =16,
	  BYTES_PER_INFO_UNIT=4
     };
     ClassTypeInfo(DISCModuleEvalClass_t);
public:
     inline Dummy_DISCModuleEvalClass_t(DaqProcessBase *Parent)
	  :DISCModuleEvalClass_t(NUMBER_OF_CHANNELS,BYTES_PER_INFO_UNIT,Parent){}
protected:
     virtual const void* ReadFromBuffer(BinaryDataBuffer &DataBuffer){
	  static u_i32 Data;
	  DataBuffer.ReadFromBuffer(Data);
	  return (void*)&Data;
     }
     virtual int Channel(const void *){
	  return 1;
     }
     virtual inline int Threshold(const void *disc_data){
 	  return (((*(u_i32*)disc_data)  & 0x00FF0000) >> 16);
     }
     virtual inline int Local(const void *disc_data){
 	  return (((*(u_i32*)disc_data) & 0xFF000000) >> 31);
     }
};

#endif // __DUMMYDISCMODULEEVAL_H__
