#if ! defined __DUMMYRNDADCMODULE_H__
#define __DUMMYRNDADCMODULE_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummyrndadcmodule.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#include <config.h>
#include "adcmodule.h"

class RNDDummy_ADCModule_t:public ADCModuleClass_t
{
     ClassTypeInfo(ADCModuleClass_t);
     enum 
     { 
	  NUMBER_OF_CHANNELS = 16,
	  BYTES_PER_INFO_UNIT=4
     };
public:
     RNDDummy_ADCModule_t(DaqProcessBase *Parent);/***/
     ~RNDDummy_ADCModule_t();
     

     /** returns true, if the module has data or false if the module
         does not have any data */
     virtual bool HasModuleData();

     /** this function reads the entire module and saves the RAW data
         at the current position into the buffers, which is given as
         the paramter */
     virtual int ReadToBuffer(BinaryDataBuffer &DataBuffer);

     /** this function initializes the ADC module */
     virtual int InitModule(StringVector_t &errors);

     /** Resets the module */
     virtual int ResetModule(StringVector_t &errors);
};

#endif __DUMMYRNDADCMODULE_H__
