#if ! defined __DUMMYTDCMODULEEVAL_H__
#define __DUMMYTDCMODULEEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/dummytdcmoduleeval.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#include <config.h>
#include "tdcmoduleeval.h"

class Dummy_TDCModuleEvalClass_t:public TDCModuleEvalClass_t
{
     enum 
     { 
	  NUMBER_OF_CHANNELS =16,
	  BYTES_PER_INFO_UNIT=4
     };
     ClassTypeInfo(TDCModuleEvalClass_t);
public:
     inline Dummy_TDCModuleEvalClass_t(DaqProcessBase *Parent)
	  :TDCModuleEvalClass_t(NUMBER_OF_CHANNELS,BYTES_PER_INFO_UNIT,Parent){}
protected:
     virtual const void* ReadFromBuffer(BinaryDataBuffer &DataBuffer){
	  static u_i32 Data;
	  DataBuffer.ReadFromBuffer(Data);
	  return (void*)&Data;
     }
     virtual inline int Channel(const void *tdc_data){
	  return (((*(u_i32*)tdc_data)  & 0x00FF0000) >> 16);
     }
     virtual inline int Edge(const void *tdc_data){
	  return (((*(u_i32*)tdc_data) & 0xFF000000) >> 31);
     }
     virtual inline int TimeVal(const void *tdc_data){
	  return ((*(u_i32*)tdc_data) & 0x0000FFFF);
     }       
};

#endif // __DUMMYTDCMODULEEVAL_H__
