/*
$Header: /home/elrond/baikal/src/CVS/daq98/errorlog.h,v 1.4 1999/02/03 03:42:17 steffen Exp $
*/

#if ! defined __ERRORLOG_H__
#define __ERRORLOG_H__

#include <config.h>
#include <iostream.h>
#include <fstream.h>
#include <unistd.h>
#include <sys/types.h>
#include <time.h>
#include <String.h>
#include "daqprocessbase.h"
#include "process.h"

class LogFile:public Base
{
public:
     enum LogFileAction_t {
	  SAVE_OLD,
	  APPEND,
	  TRUNCATE
     };
     
     LogFile(String FileName, LogFileAction_t LogFileActio=APPEND);
     ~LogFile();
     ofstream &operator()();
private:
     ofstream Logfile;
};

class Logger:public DaqProcessBase
{
public:
     Logger();
     ~Logger();
     ostream &operator()() const;
     static void SetLogger(LogFile *LF);
private:
     static LogFile *LoggerFile;
};

#endif //__ERRORLOG_H__
     














