#if ! defined __GPSMODULEEVAL_H__
#define __GPSMODULEEVAL_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/gpsmoduleeval.h,v 1.5 1999/02/05 18:35:05 steffen Exp $
*/

#include <config.h>
#include "moduleevalbase.h"

class GPSModuleEvalClass_t: public ModuleEvalBaseClass_t
{
     ClassTypeInfo(ModuleEvalBaseClass_t);
public:
     inline GPSModuleEvalClass_t(int numChannels,int bytesPerInfoUnit, DaqProcessBase * Parent)
	  :ModuleEvalBaseClass_t(numChannels,bytesPerInfoUnit, Parent){}

     virtual void Configure(ChannelModuleConfigRecord_p &ModuleConfig,
			    HWConfig_t &HWConfig)=0;

     inline void SetGPSEventIndex(const u_i32 setGPSEventIndex){
	  GPSEventIndex=setGPSEventIndex;
     }
     inline u_i32 GetGPSEventIndex()const{
	  return GPSEventIndex;
     }    
	       
protected:
     virtual GPSTime_t &GetTime(const void *gps_data)=0;
private:
     u_i32 GPSEventIndex;
};

#endif // __GPSMODULEEVAL_H__
