#if ! defined __HISTOGRAMDESCRIPTION_H__
#define __HISTOGRAMDESCRIPTION_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/histogramdesc.h,v 1.2 1998/11/23 14:43:06 haase Exp $
*/

#include <config.h>
//#include "globaltypes.h"
#include "globalmacros.h"

/** Data sturcture to describe a 1-D histogram */
struct HistogramDescription_t
{
     /** Histogram ID */
     ID_t ID;
     /** Histogram title */
     char Title[HISTOGRAM_TITLE_SIZE];
     /** Number of bins */
     NumBin_t NumBin;
     /** Minimum value of abscissa */
     X_t Xmin;
     /** Maximum value of abscissa */
     X_t Xmax;
};

#endif // __HISTOGRAMDESCRIPTION_H__
