/*
  $Header: /home/elrond/baikal/src/CVS/daq98/histogramlist.C,v 1.1 1999/02/02 05:00:22 steffen Exp $
*/

#include "histogramlist.h"
#include "globalmacros.h"
#include "stringutil.h"
#include "error.h"

int HistogramList_t::Serialize(ostream &outstream){
     DEB_F("int HistogramList_t::Serialize(..)");
//      if(outstream){
//      } else {
// 	  (*Error)=BUFFER_TOO_SMALL;
// 	  (*Error)="HistograList_t::Serialize(..)";
// 	  return -1;
//      }
     vector<HistogramListItem_t *>::iterator it;
     it=histograms.begin();
     while(it!=histograms.end()){
	  TEST_FAILURE((*it)->Serialize(outstream));
	  it++;
     }
     if(child)
     {
	  outstream << "SUB\n";
	  TEST_FAILURE(child->Serialize(outstream));
	  outstream << "END\n" << flush;
     }
     return 0;
}

int HistogramList_t::Deserialize(istream &instream){
     DEB_F("int HistogramList_t::Deserialize(..)");
     char txt[MAX_TEXT_SIZE];
     while(instream){
	  instream.getline(txt,MAX_TEXT_SIZE);
	  if(strcmp(txt,"SUB")==0){
	       if(child && delete_child) delete child;
	       child=new HistogramList_t();
	       TEST_FAILURE(child->Deserialize(instream));
	  }
	  else if(strcmp(txt,"END")==0){
	       return 0;
	  }
	  else if(strlen(txt)>0){
	       HistogramListItem_t *item=new HistogramListItem_t();
	       TEST_FAILURE(item->Deserialize(txt));
	       histograms.push_back(item);
	  }
     }
}
