/*
$Header: /home/elrond/baikal/src/CVS/daq98/itemtree.h,v 1.4 1999/02/03 03:42:18 steffen Exp $
*/

#if !defined __ITEMTREE_H__
#define __ITEMTREE_H__

#include <config.h>
#include "item.h"
#include "mytree.h"
#include "pointerutil.h"

#define CMD_PATH    "PATH"
#define CMD_ENDPATH "ENDPATH"
#define CMD_ITEM    "ITEM"
#define CMD_ENDITEM "ENDITEM"
#define CMD_LINK    "LINK"

#define CMD_ID      "ID"       

typedef PointerWrapper_Ref<ItemBase> ItemBase_p;
typedef TreeBase<ItemWithProperties_p> ItemTree;



template <class ItemBaseClass> 
struct Tree2Vector
{
     void operator()(ItemTree *T,vector<PointerWrapper_Ref<ItemBaseClass> > &itemvector){
	  convert(T,itemvector);
     }       
     void convert(ItemTree *T,vector<PointerWrapper_Ref<ItemBaseClass> > &itemvector){
	  if(T->GetBranch().size()>0){
	       ItemTree::BranchIterator_type bi=T->GetBranch().begin();
	       while(bi!=T->GetBranch().end()){
		    ItemTree *subtree=(*bi).second.GetTree();
		    convert(subtree,itemvector);
		    bi++;
	       }
	  }
	  if(T->GetLeave().size>0){
	       ItemTree::LeaveIterator_type li=T->GetLeave().begin();
	       while(li!=T->GetLeave().end()){
		    ItemBase_p item=(*li).second;
		    if(ITEM_DATA==item->GetType()){
			 
			 ItemBase_p a;
			 ItemBaseClass b;
		    
			 itemvector.push_back(
			      ConvertPointer<ItemBase_p,PointerWrapper_Ref<ItemBaseClass> >()(item));
	       }
	       li++;
	  }
     }
};

#endif //__ITEMTREE_H__
