/*
  $Header: /home/elrond/baikal/src/CVS/daq98/logindialog.C,v 1.3 1998/11/23 14:43:31 haase Exp $
*/

#include <config.h>
#include <qkeycode.h>
#include "logindialog.h"
#include "moniclient.h"

LoginDialog::LoginDialog(QWidget *parent=0,const char *name=0)
     :QDialog(parent,name,TRUE){
     setCaption("Open Connection");
     setIcon(QPixmap(DAQ_ICON));

     QLabel *HostName_label,*LoginName_label,*Password_label;
     
     int X=10,Y=20,W=90,H=30,DX=100,DY=40;
     HostName_label=new QLabel("Host:",this);
     HostName_label->setGeometry(X,Y,W,H);
     HostName=new QLineEdit(this);
     HostName->setGeometry(X+DX,Y,W,H);
     
     LoginName_label=new QLabel("User:",this);
     LoginName_label->setGeometry(X,Y+DY,W,H);
     LoginName=new QLineEdit(this);
     LoginName->setGeometry(X+DX,Y+DY,W,H);

     Password_label=new QLabel("Password:",this);
     Password_label->setGeometry(X,Y+2*DY,W,H);
     Password=new QLineEdit(this);
     Password->setGeometry(X+DX,Y+2*DY,W,H);
     Password->setEchoMode(QLineEdit::Password);
     
     QPushButton *ok, *cancel;
     ok=new QPushButton("&Ok",this);
     ok->setDefault(TRUE);
     ok->setGeometry(X,Y+3*DY,W,H);
     connect(ok,SIGNAL(clicked()),SLOT(accept()));
     cancel=new QPushButton("&Cancel",this);
     cancel->setAccel(Key_Escape);
     cancel->setGeometry(X+DX,Y+3*DY,W,H);
     connect(cancel,SIGNAL(clicked()),SLOT(reject()));
}
