#if ! defined __RUNSTARTWIDGET_H__
#define __RUNSTARTWIDGET_H__

/*
  $Header: /home/elrond/baikal/src/CVS/daq98/runstartwidget.h,v 1.3 1998/11/23 14:44:22 haase Exp $
*/

#include <config.h>
#include "mapinclude.h"
#include "clientlib.h"
#include <qwidget.h>
#include <qdialog.h>
#include <qlined.h>
#include <qmenubar.h>
#include <qlabel.h>
#include <qbttngrp.h> 
#include <qmsgbox.h> 
#include <qtooltip.h> 
#include <qpixmap.h>
#include "buttonbox.h"
#include "conswidget.h"
#include "tvwidget.h"
#include "pointerutil.h"
#include "cnfreader.h"

class MonitorClient;;

class RunStartWidget:public QWidget{
     Q_OBJECT
public:
     RunStartWidget(MonitorClient *daddy, QWidget *mommy=0,const char *name=0);
     void show();
public slots:
     void resizeEvent(QResizeEvent *);

     void SL_Quit();
     void SL_Advanced();
     void SL_Help();
     void SL_InitRun();
     void SL_StartRunAll();
     void SL_StopRunAll();
     void SL_RunScript();

     void SL_ExecDataProcess();
     void SL_ExecDataCollector();
     void SL_ExecDataTransport();

     void SL_InitDataProcess();
     void SL_InitDataCollector();
     void SL_InitDataTransport();

     void SL_StartDataTransport();
     void SL_StopDataTransport();

     void SL_StartRun();
     void SL_StopRun();

     void SL_QuitDataProcess();
     void SL_QuitDataCollector();
     void SL_QuitDataTransport();

protected:
     void SetGeometry();
     
protected:
     QLineEdit *RunParams;
     QLabel *RunParams_label;
     QPushButton *QuitButton;
     QPushButton *AdvancedButton;
     QPushButton *HelpButton;
     QPushButton *InitButton;
     QPushButton *StartRunAllButton;
     QPushButton *StopRunAllButton;

     QPushButton *ExecDataprocessButton;
     QPushButton *ExecDataTransportButton;
     QPushButton *ExecDataCollectorButton;

     QPushButton *InitDataCollectorButton;
     QPushButton *InitDataTransportButton;
     QPushButton *InitDataProcessButton;

     QPushButton *StartDataTransportButton;
     QPushButton *StartRunButton;
     QPushButton *StopRunButton;

     QPushButton *StopDataTransportButton;
     QPushButton *QuitDataprocessButton;
     QPushButton *QuitDatatransportButton;

     QPushButton *QuitDatacollectorButton;
     QPushButton *ScriptButton;

     bool AdvancedFlag;
     int DefaultWidth;
     int DefaultSimpleHeight;
     MonitorClient *MC;
};

#endif
