/*
  $Header: /home/elrond/baikal/src/CVS/daq98/tdcmodule.C,v 1.1 1999/02/05 18:35:08 steffen Exp $

  $Log: tdcmodule.C,v $
  Revision 1.1  1999/02/05 18:35:08  steffen
  * Major cleanup:
    - threw out code for binary config records
    - cleaned up some module classes
  * Fixed bug which prevent 32 bit values to be read correctly from
    detector cnf
  * Added masking to s7201 module

*/

#include "tdcmodule.h"

/*---------------------------------------------------------*/
/*                                                         */
/*  TDC module configuration data structure                */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

TDCModuleConfigRecord_t::TDCModuleConfigRecord_t(){
     NHit=0;
     Win=0;
     Mode=0;
}

TDCModuleConfigRecord_t::~TDCModuleConfigRecord_t(){
     if(Mode!=0) delete[] Mode;
}


/*---------------------------------------------------------*/
/*                                                         */
/*  TDC module base class                                  */
/*  Member function definition                             */
/*                                                         */
/*---------------------------------------------------------*/

TDCModuleClass_t::TDCModuleClass_t(int numChannels,
				   int BytesPerInfoUnit, 
				   DaqProcessBase *parent)
     :ChannelModuleBaseClass_t(numChannels,BytesPerInfoUnit,parent){
}
